Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: Problem with installed widgets

  1. #1

    Default Problem with installed widgets

    I installed some new widgets but when I try to add them to the desktop I get an error that states "could not create a python script engine for x widget" any of the ones that came preinstalled work fine it's just the new ones that get this message. I installed them from from KDE-Look.org through the add widgets link on the desktop. Are there just some extra components that I need to install for this?

  2. #2
    Join Date
    Jun 2008
    Location
    /dev/swat
    Posts
    1,181

    Default Re: Problem with installed widgets

    Linux[openSUSE, KDE], PHP, MySQL, Wordpress, Tech News, etc :
    http://anl4u.com

  3. #3

    Default Re: Problem with installed widgets

    Ok, the people you linked to do seem to be having the same or a similar problem but they seem to think that they have installed all the necessary plasma components. I don't know that I have. I don't really even know what plasma is. So I need to know how I can tell if I have installed the required components and what they are before I get to that step. I did a search for plasma in the forum and the wiki but I don't see it. I'm sure I'm just missing it but if you could just point me in the right direction I'm sure I can figure it out.

  4. #4
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    23,700
    Blog Entries
    1

    Default Re: Problem with installed widgets

    Some questions:

    1) What version of KDE4 are you using?

    2) Did you recently perform a KDE4.X upgrade?

    3) Does this happen with any particular widgets?

    I'm not sure about all the requirements, but check that you have these installed:

    kde4-plasma-addons
    python-kde4
    python-qt4
    python-kdebase4

  5. #5

    Default Re: Problem with installed widgets

    1) What version of KDE4 are you using? I'm not sure how to check this. I know that uname doesn't seem to show it. But it's whichever version came with my fresh install of OpenSUSE 11.1.

    2) Did you recently perform a KDE4.X upgrade? I haven't performed any KDE updates that I know of.

    3) Does this happen with any particular widgets? All widgets other then the ones that came prepackaged with my OpenSUSE install. But just a few examples would be the analog meter widget, facebook widget, wiki viewer,

    I did try to check that the items you posted were installed but even after installing them I'm still getting the same error.

  6. #6
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    23,700
    Blog Entries
    1

    Default Re: Problem with installed widgets

    Ok, if using 4.1.3 (from install), I suggest you upgrade to 4.2, or preferably 4.3. These versions are a world apart from the former, and offer significant improvements. Here are some useful references:

    KDE/Upgrade - openSUSE

    KDE/KDE4 - openSUSE

  7. #7

    Default Re: Problem with installed widgets

    I'm trying to upgrade following the instructions in the first link you provided but I keep getting the following message.

    System management is locked by the application with pid 4273 (/usr/sbin/packagekitd).
    Close this application before trying again.
    What application would that be?

  8. #8

    Default Re: Problem with installed widgets

    I have gotten a few of these types of messages while updating KDE.

    File './i586/opencv-1.2.0-0.pm.7.6.i586.rpm' not found on medium 'http://ftp.skynet.be/pub/packman/suse/11.1

    File './i586/libopencv1-1.2.0-0.pm.7.6.i586.rpm' not found on medium 'http://ftp.skynet.be/pub/packman/suse/11.1

    Is there some way of checking if there is something wrong with this repository? I hit retry a few times and then just ignored the first one but I don't want to seriously screw up the install but just ignoring the installation of important components.

  9. #9
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    23,700
    Blog Entries
    1

    Default Re: Problem with installed widgets

    Before going any further, we better take a look at your enabled repos:

    zypper lr -d

  10. #10

    Default Re: Problem with installed widgets

    Now, it's pretty far into the install. It's probably been going for close to an hour now. Am I going to mess anything up by stopping now to check things?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •